Query Account Group - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

POST

/ v1

/account-groups

/query

Query Account Group

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/account-groups/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}' 
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/account-groups/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/account-groups/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

200

{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "accountGroupingId": "<string>",
      "code": "<string>",
      "description": {},
      "lowestLevel": true,
      "hierarchy": [
        "<string>"
      ],
      "parentCode": "<string>",
      "macCode": "<string>",
      "accountTags": [
        "<string>"
      ],
      "publishedDate": "2023-11-07T05:31:56Z",
      "orderIndex": 123,
      "errors": [
        {
          "arguments": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}

Authorizations

Authorization

Type: string

Location: header

Required: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Body

{
  "operator": {"type": "enum<string>", "required": true},
  "{key}": {"type": "integernumberbooleanstring"}
}

Response

200 - application/json

{
  "pageNumber": <integer>,
  "totalPages": <integer>,
  "content": [
    {
      "id": <string>,
      "accountGroupingId": <string>,
      "code": <string>,
      "description": <object>,
      "lowestLevel": <boolean>,
      "hierarchy": [<string>],
      "parentCode": <string>,
      "macCode": <string>,
      "accountTags": [<string>],
      "publishedDate": <string>,
      "orderIndex": <integer>,
      "errors": [{"arguments": [<string>]}]
    }
  ],
  "numberOfElements": <integer>,
  "totalElements": <integer>,
  "pageable": {
    "pageNumber": <integer>,
    "pageSize": <integer>,
    "offset": <integer>,
    "sort": {"sorted": <boolean>, "unsorted": <boolean>, "empty": <boolean>}
  },
  "pageSize": <integer>,
  "sort": {"sorted": <boolean>, "unsorted": <boolean>, "empty": <boolean>},
  "first": <boolean>,
  "last": <boolean>,
  "size": <integer>,
  "number": <integer>
}